The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete a cloud account for a VM group

Prev Next

This URL deletes a cloud account access to a VM group.

Resource URL

DELETE /vmgroup/<VM group Id>/accountAccess/<account Id>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
VM group Id VM group ID.

You can use the GET /vmgroup method to get the VM group ID.

number Yes
account Id Cloud account ID.

The ID is allocated by the Manager for the cloud account associated with the Controller.

number Yes

Response Parameters

Following fields are returned in the response.

Field Name Description Data Type
success Indicates if the deletion is successful.

Value is set to true if the deletion is successful.

Value is set to false if the deletion is not successful.

string
msg Not applicable Not applicable
errMsg Not applicable Not applicable
domainName Not applicable Not applicable
data Not applicable Not applicable

Example

Request

DELETE https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup/12/accountaccess/oci.tenentid.ocid.xxxxx.yyyy

Response

{
"success": true, 
"msg": null, 
"errMsg": null, 
"domainName": null, 
"data": null
}